Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.responder
Class ValueEditor

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.makumba.forms.responder.ValueEditor

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class ValueEditor

extends HttpServlet

This servlet updates values in the database

Version:
  $Id: MakumbaResourceServlet.java,v 1.1 Sep 22, 2007 2:02:17 AM rudi Exp $
Author:
  Manuel Gay
See Also:
  Serialized Form

Field Summary
`(package private) Database` | `db`
`(package private) DBConnectionWrapper` | `dbc`
`static SimpleDateFormat` | `dfLastModified`
`static String` | `RESOURCE_PATH_JAVASCRIPT`
`static String` | `resourceDirectory`
`(package private) TableManager` | `table`

Constructor Summary
`ValueEditor()`

Method Summary
`void` | `doPost(HttpServletRequest req, HttpServletResponse resp)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resourceDirectory

    public static final String resourceDirectory

See Also:
  Constant Field Values

### RESOURCE_PATH_JAVASCRIPT

    public static final String RESOURCE_PATH_JAVASCRIPT

See Also:
  Constant Field Values

### dfLastModified

    public static final SimpleDateFormat dfLastModified

### dbc

    DBConnectionWrapper dbc

### db

    Database db

### table

    TableManager table

Constructor Detail

### ValueEditor

    public ValueEditor()

Method Detail

### doPost

    public void doPost(HttpServletRequest req,
                       HttpServletResponse resp)
                throws ServletException,
                       IOException

  Overrides:
    `doPost` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20